%define up_name ocamlbdb
%define name	ocaml-bdb
%define version	4.3.21
%define release	%mkrel 8

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	OCaml interface to Berkeley-DB
Source: 	http://www.eecs.harvard.edu/~stein/%{up_name}-%{version}.tar.bz2
URL:		http://www.eecs.harvard.edu/~stein/
License:	GPL
Group:		Development/Other
BuildRequires:	ocaml
BuildRequires:	db4-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
CamlGI is a library to enable you to write CGI and FastCGI in OCaml. It is
written 100% in OCaml so should run on many platforms. The library supports
multiple simultaneous connections and request multiplexing while presenting an
easy to use interface.

%package devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	db4-devel
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n %{up_name}-%{version}

%build
make BDB_DIR=%{_prefix} CFLAGS="-I%{_libdir}/ocaml/"

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}/%{_libdir}/ocaml/bdb 
install -m 644 bdb.cma bdb.cmi libcamlbdb.a %{buildroot}/%{_libdir}/ocaml/bdb

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING CREDITS README
%dir %{_libdir}/ocaml/bdb
%{_libdir}/ocaml/bdb/*.cmi
%{_libdir}/ocaml/bdb/*.cma

%files devel
%defattr(-,root,root)
%{_libdir}/ocaml/bdb/*.a


%changelog
* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 4.3.21-8mdv2010.0
+ Revision: 389902
- rebuild

* Mon Dec 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.3.21-7mdv2009.1
+ Revision: 320726
- move non-devel files in main package
- site-lib hierarchy doesn't exist anymore

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 4.3.21-6mdv2009.0
+ Revision: 254162
- rebuild

* Tue Mar 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.3.21-4mdv2008.1
+ Revision: 178361
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4.3.21-3mdv2008.0
+ Revision: 77595
- drop macro definition, now in rpm-mandriva-setup
  ship .cmi file in non-devel subpackage


* Tue Feb 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4.3.21-2mdv2007.0
+ Revision: 123144
- requires corresponding native devel package

* Mon Feb 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4.3.21-1mdv2007.1
+ Revision: 122841
- fix build dependencies

* Mon Feb 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4.3.21-1mdv2007.1
- first mdv release

